/*
 * Copyright European Organization for Nuclear Research (CERN)
 * All rights reserved
 *
 * Author:	Vasilis.Vlachoudis@cern.ch
 * Date:	26-Jul-2005
 */
#ifndef __DATA_VTKDATA_H
#define __DATA_VTKDATA_H

#include <assert.h>
#include "math/matrix4.h"
#include "data/meshdata.h"

// ================================== VtkData ===================================
class VtkData : public MeshData {
public:
	enum class Type : int {
		Rectilinear_Grid = 0,
	}; // Type
public:
	//float	weipri;
	//int	ncase;
	//int	mcase;
	//int	nbatch;

private:
	Type	_type;			// type of usrbin

static	const char*	_typeStr[];

public:
	VtkData() : MeshData() {}
	//VtkData(const char* fn, int det)	: MeshData(fn,det) {}
virtual	~VtkData()	{ cleanup(); }

virtual	void	cleanup();
virtual	bool	load(const char* fn, int det);
virtual	bool	save(const char* fn=NULL);
	bool	loadError(const char* fn, int det);

	/* get/set */
	Type	type()		const	{ return _type;  }
	//int	score()		const	{ return _score; }
}; // VtkData

#endif
