////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// F A R M     -  Flair advanced rendering module
//
// Copyright European Organization for Nuclear Research( CERN )
// All rights reserved
//
// Authors: Christian.Theis@cern.ch
//			    Vasilis.Vlachoudis@cern.ch
//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef OREN_NAYAR_H
#define OREN_NAYAR_H

#include "bxdfbase.h"

class CBxDFOrenNayar : public CBxDFBase
{
public:
  CBxDFOrenNayar( float Sig = 15.0 );
  virtual ~CBxDFOrenNayar(void);

  void SetSigma( float Val );

  virtual Color f( const Ray& Out, const Ray& In, const Vector& Normal, const Material& RenderMat, const Color& LightColor, double Power, float Shade = 1.0f ) override;

  virtual double GetPDF( const Vector& Out, const Vector& In, const Vector& Normal ) const override {
		UNUSED( In ); UNUSED( Out ); UNUSED( Normal );
		return 1.0;
	};

protected:
  float m_A;
  float m_B;
};

#endif
// vim:ts=2
