/*
 * Copyright European Organization for Nuclear Research (CERN)
 * All rights reserved
 *
 * Author:	Vasilis.Vlachoudis@cern.ch
 * Date:	10-Feb-2018
 */

#ifndef __GEOMETRY_REGIONBODY_H
#define __GEOMETRY_REGIONBODY_H

#include "gbody.h"

class GRegion;

// ================================ GRegionBody ================================
class GRegionBody : public GBody {
private:
	GRegion*	_region;
public:
	GRegionBody(const std::string& aname, GRegion* aregion=nullptr)
		: GBody(aname, Type::REGION), _region(aregion) {}

	// set/get region
	void		region(GRegion* r)	{ _region = r; }
	GRegion*	region() const		{ return _region; }

	virtual	void	set(int, double *)	{}
	virtual	int	get(double *) const	{ return 0; }
//	virtual	int	nodes()		const	{ return 3; }
//	virtual	int	closest(const Point& r, const double d, const Vector& w) const;
//	virtual void	move(int item, const Point& r, const Vector& w);

// FIXME
//	virtual	double	distance(const double x, const double y, const double z) const;

protected:
	//virtual	void	createQuads();
	//virtual void	createMesh();
	virtual	void	_updateBBox();
#ifdef USE_OBBOX
	virtual	void	_updateOBB(bool in=false);
#endif
}; // GRegionBody

#endif
