/*
 * Copyright European Organization for Nuclear Research (CERN)
 * All rights reserved
 *
 * Author:	David.Sinuela.Pastor@cern.ch
 * Date:	Sep-2012
 *
 */
#ifndef __GRAPH_SVGEXPORT_H
#define __GRAPH_SVGEXPORT_H

#include "exportbase.h"

class SVGExport : public ExportBase {
public:
	SVGExport(const std::string& filename);
	virtual ~SVGExport(void);

	bool line(double x1, double y1, double x2, double y2, dword color=0, const char* layer=NULL);
//	bool path(double x1, double y1, double x2, double y2, dword color=0, const char* layer=NULL);
	bool circle(double x, double y, double radius, dword color=0, const char* layer=NULL);
	bool arc(double x, double y, double radius, double startPhi, double endPhi, dword color=0,  const char* layer=NULL);
	bool rectangle(double left, double bottom, double right, double top, dword color=0, const char* layer=NULL);

protected:
	bool	writeHeader();
	bool	writeEOF();

private:
	void	attributes(dword color, float width, const char* layer);
}; // SVGExport

#endif
