/*
 * Copyright European Organization for Nuclear Research (CERN)
 * All rights reserved
 *
 * Author:	Vasilis.Vlachoudis@cern.ch
 */

#ifndef __VIEWER_VOXEL_LAYER_H
#define __VIEWER_VOXEL_LAYER_H

#include "layer.h"
#include "geometry/kernel.h"

class Painter;

/* ================================ VoxelLayer ============================== */
class VoxelLayer : public Layer {
public:
	int	level;		/** voxel level		*/
	dword	hashColor;	/** voxel hash color	*/

public:
	VoxelLayer(const Geometry& g, GeometryKernel& k, GeometryViewer& v) :
		Layer(g, k, v) {}

	void	makeHashColor() { hashColor = Color32::darker(geometry.voxelColor, level); }

	/* set/get */
	VVoxel&	operator()()		{ return kernel.voxel; }

	void	draw(Painter& painter);
#ifdef EXPERIMENTAL
	void	drawStructure(Painter& painter);
#endif
}; // VoxelLayer

#endif
